> ## Documentation Index
> Fetch the complete documentation index at: https://developers.oneform.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetching submission



## OpenAPI

````yaml GET /forms/{form_id}/submissions/{submission_id}
openapi: 3.0.1
info:
  title: API V1
  version: v1
servers:
  - url: https://app.oneform.one/api/v1
security:
  - bearer_auth: []
paths:
  /forms/{form_id}/submissions/{submission_id}:
    parameters:
      - name: form_id
        in: path
        description: Form ID
        required: true
        schema:
          type: string
      - name: submission_id
        in: path
        description: Submission ID
        required: true
        schema:
          type: string
    get:
      tags:
        - Submissions
      summary: Show submission
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmissionDetailResponse'
        '404':
          description: not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Submission not found
      security:
        - bearer_auth: []
components:
  schemas:
    SubmissionDetailResponse:
      type: object
      properties:
        questions:
          type: array
          items:
            $ref: '#/components/schemas/Question'
        submission:
          $ref: '#/components/schemas/SubmissionItem'
    Question:
      type: object
      properties:
        id:
          type: string
          example: q_123
        name:
          type: string
          example: What is your name?
        type:
          type: string
          enum:
            - SHORT_ANSWER
            - LONG_ANSWER
            - EMAIL
            - PHONE_NUMBER
            - LINK
            - NUMBER
            - SLIDER
            - RANGE_SLIDER
            - SWITCH
            - CHECKBOX
            - DATE
            - DATE_RANGE
            - TIME
            - RATING
            - LINEAR_SCALE
            - FILE_UPLOAD
            - SIGNATURE
            - HIDDEN
            - COUNTRY
            - LIST_RADIO
            - LIST_CHECKBOX
            - MULTIPLE_CHOICES
            - DROPDOWN
            - MULTISELECT
            - RANKING
            - CALCULATED_FIELD
            - PAYMENT
          example: SHORT_ANSWER
        is_deleted:
          type: boolean
          example: false
    SubmissionItem:
      type: object
      properties:
        id:
          type: string
          example: sub_123
        created_at:
          type: string
          format: date-time
          example: '2024-01-01T12:00:00Z'
        is_partial:
          type: boolean
          example: false
        responses:
          type: object
          additionalProperties: true
          example:
            q_1: Answer 1
            q_2: Answer 2
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: Enter your API key

````